Subject: USB Ethernet gadget on Nokia n900

From: [email-masked] (Pavel Machek)
Date: Mon, 20 Oct 2014 15:08:55 +0200

Hi!

> My N900 can boot kernel from v3.12-rc5-n900 branch compiled with 
> arch/arm/configs/rx51_defconfig. Also it can boot full Maemo5 
> system (with CSSU and some minor system changes) and usb network 
> via g_nokia.ko gadget working fine...
> 
> So if it does not working for you then kernel usb subsystem could 
> have problems with using gadgets directly from zimage.

After some hand-bisecting and real-bisecting, I found two commits that
cause problems for 3.13: With these reverted, I get usb networking
back in 3.13 on nokia n900.

(Pali, if you revert these, you should get working usb networking in
your 3.13 branch, too.)

Any ideas?

								Pavel

commit 3e3101d57c50f9e4fa1da947e4bd0bc5cbab4141
Author: Kishon Vijay Abraham I <[email-masked]>
Date:   Fri Sep 27 11:53:30 2013 +0530

    usb: musb: omap2430: use the new generic PHY framework
    
    Use the generic PHY framework API to get the PHY. The
    usb_phy_set_resume
    and usb_phy_set_suspend is replaced with power_on and
    power_off to align with the new PHY framework.
    
    musb->xceiv can't be removed as of now because musb core uses
    xceiv.state and
    xceiv.otg. Once there is a separate state machine to handle otg,
    these can be
    moved out of xceiv and then we can start using the generic PHY
    framework.
    
    Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
    Reviewed-by: Sylwester Nawrocki <[email-masked]>
    Acked-by: Felipe Balbi <[email-masked]>
    Signed-off-by: Greg Kroah-Hartman <[email-masked]>

commit f1ddc24c9e33813f74b871d73e4d795dcdb95a3c
Author: Kishon Vijay Abraham I <[email-masked]>
Date:   Fri Sep 27 11:53:31 2013 +0530

    usb: phy: twl4030-usb: remove *set_suspend* and *phy_init* ops
    
    Now that twl4030-usb is adapted to the new generic PHY framework,
    *set_suspend* and *phy_init* ops can be removed from twl4030-usb
    driver.
    
    Signed-off-by: Kishon Vijay Abraham I <[email-masked]>
    Acked-by: Felipe Balbi <[email-masked]>
    Reviewed-by: Sylwester Nawrocki <[email-masked]>
    Signed-off-by: Greg Kroah-Hartman <[email-masked]>

-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html